local coroutineEntity = monocle.Entity()

function onTalk(room)
  disableMovement()
  coroutine.yield(getLevel():ZoomTo(vector2(160, 90), 1.3, 1.5))
  say("crystalTalkSolaris_MiniStar5")
  player.ForceCameraUpdate = false
  player.ForceCameraUpdate = true
  setFlag("DonkLuxCrystal_Man_Mini5", True)
  playSound("event:/game/general/wall_break_ice", player.Position)
  wait(0.5)
  playSound("event:/Donk_SolarisBDay/StarGet", player.Position)
  say("FallenStarGet")
  coroutine.yield(engine.Scene:ZoomBack(2))
  wait(2)
  setFlag("donk_FallenStarBlackFade",True)
  wait(2)
  setFlag("teleportFromMyHouse_Lux",True)
end

function onEnd(room, wasSkipped)
  player.ForceCameraUpdate = true
  getLevel():ResetZoom()
  enableMovement()
end